@use './palette';
@use './colors';
@use './font-variables';

// Text colors - general and status
$text-basic-color: palette.$color-basic-800;
$text-alternate-color: palette.$color-basic-100;
$text-control-color: palette.$color-basic-100;
$text-disabled-color: palette.$color-basic-transparent-600;
$text-hint-color: palette.$color-basic-600;
$text-primary-color: colors.$color-primary-default;
$text-primary-focus-color: colors.$color-primary-focus;
$text-primary-hover-color: colors.$color-primary-hover;
$text-primary-active-color: colors.$color-primary-active;
$text-primary-disabled-color: palette.$color-primary-400;
$text-success-color: colors.$color-success-default;
$text-success-focus-color: colors.$color-success-focus;
$text-success-hover-color: colors.$color-success-hover;
$text-success-active-color: colors.$color-success-active;
$text-success-disabled-color: palette.$color-success-400;
$text-info-color: colors.$color-info-default;
$text-info-focus-color: colors.$color-info-focus;
$text-info-hover-color: colors.$color-info-hover;
$text-info-active-color: colors.$color-info-active;
$text-info-disabled-color: palette.$color-info-400;
$text-warning-color: colors.$color-warning-default;
$text-warning-focus-color: colors.$color-warning-focus;
$text-warning-hover-color: colors.$color-warning-hover;
$text-warning-active-color: colors.$color-warning-active;
$text-warning-disabled-color: palette.$color-warning-400;
$text-danger-color: colors.$color-danger-default;
$text-danger-focus-color: colors.$color-danger-focus;
$text-danger-hover-color: colors.$color-danger-hover;
$text-danger-active-color: colors.$color-danger-active;
$text-danger-disabled-color: palette.$color-danger-400;
// Fonts and text styles - headings; subtitles; paragraphs; captions; button

$text-heading-1-font-family: font-variables.$font-family-secondary;
$text-heading-1-font-size: 2.25rem;
$text-heading-1-font-weight: 700;
$text-heading-1-line-height: 3rem;
$text-heading-2-font-family: font-variables.$font-family-secondary;
$text-heading-2-font-size: 2rem;
$text-heading-2-font-weight: 700;
$text-heading-2-line-height: 2.5rem;
$text-heading-3-font-family: font-variables.$font-family-secondary;
$text-heading-3-font-size: 1.875rem;
$text-heading-3-font-weight: 700;
$text-heading-3-line-height: 2.5rem;
$text-heading-4-font-family: font-variables.$font-family-secondary;
$text-heading-4-font-size: 1.625rem;
$text-heading-4-font-weight: 700;
$text-heading-4-line-height: 2rem;
$text-heading-5-font-family: font-variables.$font-family-secondary;
$text-heading-5-font-size: 1.375rem;
$text-heading-5-font-weight: 700;
$text-heading-5-line-height: 2rem;
$text-heading-6-font-family: font-variables.$font-family-secondary;
$text-heading-6-font-size: 1.125rem;
$text-heading-6-font-weight: 700;
$text-heading-6-line-height: 1.5rem;
$text-subtitle-font-family: font-variables.$font-family-primary;
$text-subtitle-font-size: 0.9375rem;
$text-subtitle-font-weight: 600;
$text-subtitle-line-height: 1.5rem;
$text-subtitle-2-font-family: font-variables.$font-family-primary;
$text-subtitle-2-font-size: 0.8125rem;
$text-subtitle-2-font-weight: 600;
$text-subtitle-2-line-height: 1.5rem;
$text-paragraph-font-family: font-variables.$font-family-primary;
$text-paragraph-font-size: 0.9375rem;
$text-paragraph-font-weight: 400;
$text-paragraph-line-height: 1.25rem;
$text-paragraph-2-font-family: font-variables.$font-family-primary;
$text-paragraph-2-font-size: 0.8125rem;
$text-paragraph-2-font-weight: 400;
$text-paragraph-2-line-height: 1.125rem;
$text-label-font-family: font-variables.$font-family-primary;
$text-label-font-size: 0.75rem;
$text-label-font-weight: 700;
$text-label-line-height: 1rem;
$text-caption-font-family: font-variables.$font-family-primary;
$text-caption-font-size: 0.75rem;
$text-caption-font-weight: 400;
$text-caption-line-height: 1rem;
$text-caption-2-font-family: font-variables.$font-family-primary;
$text-caption-2-font-size: 0.75rem;
$text-caption-2-font-weight: 600;
$text-caption-2-line-height: 1rem;
$text-button-font-family: font-variables.$font-family-primary;
$text-button-font-weight: 700;
$text-button-tiny-font-size: 0.625rem;
$text-button-tiny-line-height: 0.75rem;
$text-button-small-font-size: 0.75rem;
$text-button-small-line-height: 1rem;
$text-button-medium-font-size: 0.875rem;
$text-button-medium-line-height: 1rem;
$text-button-large-font-size: 1rem;
$text-button-large-line-height: 1.25rem;
$text-button-giant-font-size: 1.125rem;
$text-button-giant-line-height: 1.5rem;

$body-font-color: $text-basic-color;
